package com.aucma.report.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.aucma.report.mapper.BasePdaRecordMapper;
import com.aucma.report.domain.BasePdaRecord;
import com.aucma.report.service.IBasePdaRecordService;

/**
 * PDA管理Service业务层处理
 * 
 * @author Yinq
 * @date 2023-11-21
 */
@Service
public class BasePdaRecordServiceImpl implements IBasePdaRecordService 
{
    @Autowired
    private BasePdaRecordMapper basePdaRecordMapper;

    /**
     * 查询PDA管理
     * 
     * @param objId PDA管理主键
     * @return PDA管理
     */
    @Override
    public BasePdaRecord selectBasePdaRecordByObjId(Long objId)
    {
        return basePdaRecordMapper.selectBasePdaRecordByObjId(objId);
    }

    /**
     * 查询PDA管理列表
     * 
     * @param basePdaRecord PDA管理
     * @return PDA管理
     */
    @Override
    public List<BasePdaRecord> selectBasePdaRecordList(BasePdaRecord basePdaRecord)
    {
        return basePdaRecordMapper.selectBasePdaRecordList(basePdaRecord);
    }

    /**
     * 新增PDA管理
     * 
     * @param basePdaRecord PDA管理
     * @return 结果
     */
    @Override
    public int insertBasePdaRecord(BasePdaRecord basePdaRecord)
    {
        return basePdaRecordMapper.insertBasePdaRecord(basePdaRecord);
    }

    /**
     * 修改PDA管理
     * 
     * @param basePdaRecord PDA管理
     * @return 结果
     */
    @Override
    public int updateBasePdaRecord(BasePdaRecord basePdaRecord)
    {
        return basePdaRecordMapper.updateBasePdaRecord(basePdaRecord);
    }

    /**
     * 批量删除PDA管理
     * 
     * @param objIds 需要删除的PDA管理主键
     * @return 结果
     */
    @Override
    public int deleteBasePdaRecordByObjIds(Long[] objIds)
    {
        return basePdaRecordMapper.deleteBasePdaRecordByObjIds(objIds);
    }

    /**
     * 删除PDA管理信息
     * 
     * @param objId PDA管理主键
     * @return 结果
     */
    @Override
    public int deleteBasePdaRecordByObjId(Long objId)
    {
        return basePdaRecordMapper.deleteBasePdaRecordByObjId(objId);
    }
}
